package com.huimv.video.dhicc.test.request.event.Sg;

import com.alibaba.fastjson.JSONObject;
import com.huimv.video.dhicc.test.config.OauthConfigBaseInfo;
import com.huimv.video.dhicc.test.constant.Constant;
import com.huimv.video.dhicc.test.request.BaseRequest;
import com.huimv.video.dhicc.test.utils.HttpURLConnectionUtil;
import com.huimv.video.dhicc.test.utils.HttpsURLConnectionUtil;
import com.huimv.video.dhicc.test.utils.UrlUtil;
import lombok.Data;

@Data
public class ClientEventFaceRequestSg extends BaseRequest<Object> {



    private String value;
    private String containDomain;
    private String openType;
    private String alarmStartDateString;
    private String alarmEndDateString;








    public ClientEventFaceRequestSg() {
    }

    public ClientEventFaceRequestSg(OauthConfigBaseInfo oauthConfigBaseInfo) {
        super(oauthConfigBaseInfo, Constant.HTTP_POST, oauthConfigBaseInfo.getHttpConfigInfo().getPrefixUrl() + Constant.CAR_PERSON_FACE_FAIL, true);
    }

    @Override
    public Object doAction() {
        //重置url信息，替换版本号
        this.setUrl(UrlUtil.dealVersion(this.getUrl()));
        //设置请求参数
        setBody();
        //发送请求
        String res = isEnableHttpTest() ? HttpURLConnectionUtil.doPost(this.getUrl(), this.getBody(), this.getHeader()) : HttpsURLConnectionUtil.doPost(this.getUrl(), this.getBody(), this.getHeader());

        System.out.println(res);
        //获取响应
        /*JSONObject jsonObject=JSONObject.parseObject(res);
        System.out.println(jsonObject);
        Object action = jsonObject.get("data");*/
        return res;
    }

    private void setBody() {
        //设置请求参数


    }


    public boolean isEnableHttpTest() {
        return super.getOauthConfigBaseInfo().getHttpConfigInfo().isEnableHttpTest();
    }
}
